# Class CIM_AGPSoftwareFeature
extends CIM_SoftwareFeature

AGPSoftwareFeature adds two attributes to SoftwareFeature to represent the capabilities of an AGP device driver. An instance of this class would be associated with the Driver's SoftwareElement using the SoftwareFeatureSoftware Elements relationship. The driver's SoftwareElement is associated with the AGPVideoController via the Device Software relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_SoftwareFeature
|
+--CIM_AGPSoftwareFeature

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | AGPSoftwareFeature adds two attributes to SoftwareFeature to represent the capabilities of an AGP device driver. An instance of this class would be associated with the Driver's SoftwareElement using the SoftwareFeatureSoftware Elements relationship. The driver's SoftwareElement is associated with the AGPVideoController via the Device Software relationship.
UMLPackagePath | string | CIM::Application::BIOS
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CharacteristicDescriptions | string[] |
ArrayType | string | Indexed
Description | string | An array of free-form strings providing more detailed explanations for any of the features indicated in the Characteristics array. Each entry in this array is related to the Characteristics array entry located at the same index.
ModelCorrespondence | string | CIM_AGPSoftwareFeature.Characteristics
Characteristics | uint16[] |
ArrayType | string | Indexed
Description | string | An array of integers indicating various capabilities and characteristics of the AGPVideoController.
ModelCorrespondence | string | CIM_AGPSoftwareFeature.CharacteristicDescriptions
ValueMap | string | 0, 1, 2, 3, 4, 5, 6
Values | string | Unknown, Other, OS support, Hardware Acceleration, Hardware Blit, OpenGL Support, Cache Coherency

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
IdentifyingNumber | string | CIM_SoftwareFeature
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_SoftwareFeature
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProductName | string | CIM_SoftwareFeature
Status | string | CIM_ManagedSystemElement
Vendor | string | CIM_SoftwareFeature
Version | string | CIM_SoftwareFeature
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods